4

I'm trying to install pgrouting 2.0 on a postgresql 9.3 database (with postgis 2.1).
Are there any packages on ubuntu 12.04 or do I have to install from source? Is postgres 9.3 supported at all in this configuration?

5

The packages in this PPA only support the default PostgreSQL version of each Ubuntu release, which is since Ubuntu 12.04 PostgreSQL 9.1.

PostgreSQL 9.3 was just released recently, so you need to try yourself if pgRouting works or not. But I don't think there should be a problem. You need to compile though.

5

I was able to install pgrouting 2.0 for postgresql 9.3 on Ubuntu 13.04 by downloading the amd64 .deb file from http://packages.debian.org/sid/postgresql-9.3-pgrouting.

I installed it using sudo dpkg -i postgresql-9.3-pgrouting_2.0.0-2_amd64.deb

I needed to install a few dependencies, including:

which I did using the same sudo dpkg -i command. Took about 5 minutes versus the 5+ hours I spent trying to debug cmake errors.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.